Download it now!
Bug 80075 - WIKIHELP: Wrong image for Writer "Formula Bar" help
Summary: WIKIHELP: Wrong image for Writer "Formula Bar" help
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:5.0.0 target:4.4.4
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-16 04:33 UTC by Kevin Suo
Modified: 2015-05-18 18:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
the correct rechenlt.png (3.73 KB, image/png)
2014-07-25 16:40 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-06-16 04:33:00 UTC
Description:

In LibreOffice Writer, when you hit "F2", you get the formula input box. Writer uses "<>" in the formula, for example: for the sume of range "B1:B4" of a table in writer, you should input "=sum<B1:B4>".

However, on the help wiki:
https://help.libreoffice.org/Writer/Formula_Bar
The screenshot example is showing "=sum(B1:B4)". 

This is misleading.
In fact, when you input "=sum(B1:B4)", Writer will show the error message "** Expression is faulty **".
Comment 1 Kevin Suo 2014-06-16 04:39:13 UTC
This is an easy bug, so I set it to NEW by myself.
Comment 2 Kevin Suo 2014-07-25 16:40:06 UTC
Created attachment 103458 [details]
the correct rechenlt.png

The image is at this location:
libreoffice/artwork/default_images/res/helpimg/rechenlt.png

I should learn how to make a patch.
Comment 3 Kevin Suo 2014-07-25 16:41:30 UTC
Actually, the current image:
https://help.libreoffice.org/File:Rechenlt.png

was taken within Calc, not Writer.
Comment 4 Kevin Suo 2014-07-25 16:50:53 UTC
Joel: Do you have a minute to do this?
Thanks
Comment 5 Commit Notification 2015-05-18 17:08:16 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec916dc7bc8ee37e27c9c12e08e9235de6d2278c

tdf#80075 correct Writer formula bar screenshot

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Andras Timar 2015-05-18 17:09:15 UTC
Fixed both in code an in wiki.
Comment 7 Commit Notification 2015-05-18 18:19:55 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61ca9f427adf4f356535ce9fa9f1ebe7332d0883&h=libreoffice-4-4

tdf#80075 correct Writer formula bar screenshot

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.